package com.sxyz.rfid.greendao.model;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Property;

import java.io.Serializable;
import org.greenrobot.greendao.annotation.Generated;

/**
 * 主要功能:
 *
 * @Description: 库位表
 * @Project: rfid-app
 * @Package: com.sxyz.rfid.greendao.model
 * @author: chunyuanwu
 * @date: 2026年01月16日 15:01
 * @version: 1.0.0
 */
@Entity(nameInDb = "wms_location")
public class WmsLocation implements Serializable {
    private static final long serialVersionUID = 1L;

    @Property(nameInDb = "location_id")
    private Long locationId;
    @Property(nameInDb = "location_code")
    private String locationCode;
    @Property(nameInDb = "location_name")
    private String locationName;
    @Property(nameInDb = "area_id")
    private Integer areaId;
    @Property(nameInDb = "location_type")
    private String locationType;
    @Property(nameInDb = "x_coordinate")
    private Integer xCoordinate;
    @Property(nameInDb = "y_coordinate")
    private Integer yCoordinate;
    @Property(nameInDb = "z_coordinate")
    private Integer zCoordinate;
    @Property(nameInDb = "max_capacity")
    private Float maxCapacity;
    @Property(nameInDb = "current_capacity")
    private Float currentCapacity;
    @Property(nameInDb = "weight_limit")
    private Float weightLimit;
    @Property(nameInDb = "length")
    private Float length;
    @Property(nameInDb = "width")
    private Float width;
    @Property(nameInDb = "height")
    private Float height;
    @Property(nameInDb = "status")
    private String status;
    @Property(nameInDb = "rfid_antenna_id")
    private String rfidAntennaId;
    @Property(nameInDb = "last_inventory_time")
    private String lastInventoryTime;
    @Property(nameInDb = "del_flag")
    private String delFlag;
    @Property(nameInDb = "create_time")
    private String createTime;
    @Property(nameInDb = "update_time")
    private String updateTime;
    @Property(nameInDb = "remark")
    private String remark;
    @Generated(hash = 1635717656)
    public WmsLocation(Long locationId, String locationCode, String locationName,
            Integer areaId, String locationType, Integer xCoordinate,
            Integer yCoordinate, Integer zCoordinate, Float maxCapacity,
            Float currentCapacity, Float weightLimit, Float length, Float width,
            Float height, String status, String rfidAntennaId,
            String lastInventoryTime, String delFlag, String createTime,
            String updateTime, String remark) {
        this.locationId = locationId;
        this.locationCode = locationCode;
        this.locationName = locationName;
        this.areaId = areaId;
        this.locationType = locationType;
        this.xCoordinate = xCoordinate;
        this.yCoordinate = yCoordinate;
        this.zCoordinate = zCoordinate;
        this.maxCapacity = maxCapacity;
        this.currentCapacity = currentCapacity;
        this.weightLimit = weightLimit;
        this.length = length;
        this.width = width;
        this.height = height;
        this.status = status;
        this.rfidAntennaId = rfidAntennaId;
        this.lastInventoryTime = lastInventoryTime;
        this.delFlag = delFlag;
        this.createTime = createTime;
        this.updateTime = updateTime;
        this.remark = remark;
    }
    @Generated(hash = 1501780407)
    public WmsLocation() {
    }
    public Long getLocationId() {
        return this.locationId;
    }
    public void setLocationId(Long locationId) {
        this.locationId = locationId;
    }
    public String getLocationCode() {
        return this.locationCode;
    }
    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }
    public String getLocationName() {
        return this.locationName;
    }
    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }
    public Integer getAreaId() {
        return this.areaId;
    }
    public void setAreaId(Integer areaId) {
        this.areaId = areaId;
    }
    public String getLocationType() {
        return this.locationType;
    }
    public void setLocationType(String locationType) {
        this.locationType = locationType;
    }
    public Integer getXCoordinate() {
        return this.xCoordinate;
    }
    public void setXCoordinate(Integer xCoordinate) {
        this.xCoordinate = xCoordinate;
    }
    public Integer getYCoordinate() {
        return this.yCoordinate;
    }
    public void setYCoordinate(Integer yCoordinate) {
        this.yCoordinate = yCoordinate;
    }
    public Integer getZCoordinate() {
        return this.zCoordinate;
    }
    public void setZCoordinate(Integer zCoordinate) {
        this.zCoordinate = zCoordinate;
    }
    public Float getMaxCapacity() {
        return this.maxCapacity;
    }
    public void setMaxCapacity(Float maxCapacity) {
        this.maxCapacity = maxCapacity;
    }
    public Float getCurrentCapacity() {
        return this.currentCapacity;
    }
    public void setCurrentCapacity(Float currentCapacity) {
        this.currentCapacity = currentCapacity;
    }
    public Float getWeightLimit() {
        return this.weightLimit;
    }
    public void setWeightLimit(Float weightLimit) {
        this.weightLimit = weightLimit;
    }
    public Float getLength() {
        return this.length;
    }
    public void setLength(Float length) {
        this.length = length;
    }
    public Float getWidth() {
        return this.width;
    }
    public void setWidth(Float width) {
        this.width = width;
    }
    public Float getHeight() {
        return this.height;
    }
    public void setHeight(Float height) {
        this.height = height;
    }
    public String getStatus() {
        return this.status;
    }
    public void setStatus(String status) {
        this.status = status;
    }
    public String getRfidAntennaId() {
        return this.rfidAntennaId;
    }
    public void setRfidAntennaId(String rfidAntennaId) {
        this.rfidAntennaId = rfidAntennaId;
    }
    public String getLastInventoryTime() {
        return this.lastInventoryTime;
    }
    public void setLastInventoryTime(String lastInventoryTime) {
        this.lastInventoryTime = lastInventoryTime;
    }
    public String getDelFlag() {
        return this.delFlag;
    }
    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
    public String getCreateTime() {
        return this.createTime;
    }
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
    public String getUpdateTime() {
        return this.updateTime;
    }
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
    public String getRemark() {
        return this.remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }

}
